VERSION 5.00
Begin VB.Form FrmExample 
   Caption         =   "Form1"
   ClientHeight    =   3285
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3300
   LinkTopic       =   "Form1"
   ScaleHeight     =   3285
   ScaleWidth      =   3300
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox PicBackGround 
      AutoSize        =   -1  'True
      Height          =   3270
      Left            =   0
      Picture         =   "FrmExample.frx":0000
      ScaleHeight     =   3210
      ScaleWidth      =   3240
      TabIndex        =   0
      Top             =   0
      Width           =   3300
      Begin VB.PictureBox PicText 
         BorderStyle     =   0  'None
         Height          =   255
         Left            =   1800
         ScaleHeight     =   255
         ScaleWidth      =   1155
         TabIndex        =   1
         Top             =   540
         Width           =   1155
      End
   End
End
Attribute VB_Name = "FrmExample"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Declare Function GetPixel Lib "gdi32" (ByVal hdc As Long, ByVal X As Long, ByVal Y As Long) As Long
Private Declare Function SetPixel Lib "gdi32" (ByVal hdc As Long, ByVal X As Long, ByVal Y As Long, ByVal crColor As Long) As Long
Private mX As Single
Private mY As Single

Private Sub Form_Load()
   Me.ScaleWidth = vbPixels
   PicText.ScaleMode = vbPixels
   PicBackGround.ScaleMode = vbPixels
   PicText.AutoRedraw = True
   PicBackGround.AutoRedraw = True
   setColors
End Sub

Private Sub PicBackGround_DragDrop(Source As Control, X As Single, Y As Single)
   Source.Left = X - mX
   Source.Top = Y - mY
   setColors
End Sub

Private Sub PicText_DragDrop(Source As Control, X As Single, Y As Single)
   Source.Left = PicText.Left - (mX - X)
   Source.Top = PicText.Top - (mY - Y)
   setColors
End Sub

Private Sub PicText_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
   If Button = vbLeftButton Then
      mX = X
      mY = Y
      PicText.Drag
   End If
End Sub
Private Sub setColors()
   'make the picture for text same color as what is under it
   Dim CounterRow As Long
   Dim CounterCol As Long
   PicText.Cls
   For CounterRow = 0 To PicText.Height
      For CounterCol = 0 To PicText.Width
         Call SetPixel(PicText.hdc, CounterCol, CounterRow, GetPixel(PicBackGround.hdc, CounterCol + CLng(PicText.Left), CounterRow + CLng(PicText.Top)))
         
      Next
   Next
   'now write inside it
   'to write in a line=
   Dim CurrentY As Long
   Dim CurrentX As Long
   CurrentY = PicText.CurrentY
   PicText.ForeColor = invertColor(GetPixel(PicText.hdc, PicText.CurrentX, PicText.CurrentY))
   PicText.Print "H"
   
   PicText.CurrentY = CurrentY
   PicText.CurrentX = 10
   PicText.ForeColor = invertColor(GetPixel(PicText.hdc, PicText.CurrentX, PicText.CurrentY))
   PicText.Print "E"
   
   PicText.CurrentY = CurrentY
   PicText.CurrentX = 20
   PicText.ForeColor = invertColor(GetPixel(PicText.hdc, PicText.CurrentX, PicText.CurrentY))
   PicText.Print "L"
      
   PicText.CurrentY = CurrentY
   PicText.CurrentX = 30
   PicText.ForeColor = invertColor(GetPixel(PicText.hdc, PicText.CurrentX, PicText.CurrentY))
   PicText.Print "L"
   
   PicText.CurrentY = CurrentY
   PicText.CurrentX = 40
   PicText.ForeColor = invertColor(GetPixel(PicText.hdc, PicText.CurrentX, PicText.CurrentY))
   PicText.Print "O"
  
   'color it
End Sub
Private Function invertColor(ByVal TheColor As Long) As Long
   
   'invert color
   Dim cRed As Long, cGreen As Long, cBlue As Long
   Dim HexColor As String
   
   HexColor = Hex(TheColor)
   If Len(HexColor) < 6 Then
      HexColor = HexColor & String(6 - Len(HexColor), "F")
   End If
   cRed = 255 - CLng("&H" & Left$(HexColor, 2))
   cGreen = 255 - CLng("&H" & Mid$(HexColor, 3, 2))
   cBlue = 255 - CLng("&H" & Mid$(HexColor, 5, 2))
   invertColor = RGB(cRed, cGreen, cBlue)

End Function
